ELPutTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.tiles
Class ELPutTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.tiles.taglib.PutTag
                  org.apache.strutsel.taglib.tiles.ELPutTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag, ComponentConstants

    public class ELPutTag

extends PutTag

Put an attribute in enclosing attribute container tag. Enclosing attribute container tag can be : <insert> or <definition>. Exception is thrown if no appropriate tag can be found. Put tag can have following atributes :

- name : Name of the attribute
- value | content : value to put as attribute
- type : value type. Only valid if value is a String and is set by value="something" or by a bean. Possible type are : string (value is used as direct string), page | template (value is used as a page url to insert), definition (value is used as a definition name to insert)
- direct : Specify if value is to be used as a direct string or as a page url to insert. This is another way to specify the type. It only apply if value is set as a string, and type is not present.
- beanName : Name of a bean used for setting value. Only valid if value is not set. If property is specified, value come from bean's property. Otherwise, bean itself is used for value.
- beanProperty : Name of the property used for retrieving value.
- beanScope : Scope containing bean.
- role : Role to check when 'insert' will be called. If enclosing tag is <insert>, role is checked immediately. If enclosing tag is <definition>, role will be checked when this definition will be inserted.
Value can also come from tag body. Tag body is taken into account only if value is not set by one of the tag attributes. In this case Attribute type is "string", unless tag body define another type.

This class is a subclass of the class `org.apache.struts.taglib.tiles.PutTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.tiles.taglib.PutTag
`attributeName, body, realValue`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface org.apache.struts.tiles.taglib.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELPutTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getBeanNameExpr()` Getter method for "beanName" tag attribute.
`String` | `getBeanPropertyExpr()` Getter method for "beanProperty" tag attribute.
`String` | `getBeanScopeExpr()` Getter method for "beanScope" tag attribute.
`String` | `getContentExpr()` Getter method for "content" tag attribute.
`String` | `getDirectExpr()` Getter method for "direct" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getRoleExpr()` Getter method for "role" tag attribute.
`String` | `getTypeExpr()` Getter method for "type" tag attribute.
`String` | `getValueExpr()` Getter method for "value" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setBeanNameExpr(String beanNameExpr)` Setter method for "beanName" tag attribute.
`void` | `setBeanPropertyExpr(String beanPropertyExpr)` Setter method for "beanProperty" tag attribute.
`void` | `setBeanScopeExpr(String beanScopeExpr)` Setter method for "beanScope" tag attribute.
`void` | `setContentExpr(String contentExpr)` Setter method for "content" tag attribute.
`void` | `setDirectExpr(String directExpr)` Setter method for "direct" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setRoleExpr(String roleExpr)` Setter method for "role" tag attribute.
`void` | `setTypeExpr(String typeExpr)` Setter method for "type" tag attribute.
`void` | `setValueExpr(String valueExpr)` Setter method for "value" tag attribute.

Methods inherited from class org.apache.struts.tiles.taglib.PutTag
`callParent, computeRealValue, doAfterBody, doEndTag, findEnclosingPutTagParent, getBeanName, getBeanProperty, getBeanScope, getContent, getName, getRealValue, getRealValueFromBean, getRole, getType, getValue, releaseInternal, setBeanName, setBeanProperty, setBeanScope, setContent, setContent, setDirect, setName, setObjectValue, setRole, setType, setValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELPutTag

    public ELPutTag()

Method Detail

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getValueExpr

    public String getValueExpr()

  Getter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### getContentExpr

    public String getContentExpr()

  Getter method for "content" tag attribute. (Mapping set in associated BeanInfo class.)

### getDirectExpr

    public String getDirectExpr()

  Getter method for "direct" tag attribute. (Mapping set in associated BeanInfo class.)

### getTypeExpr

    public String getTypeExpr()

  Getter method for "type" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanNameExpr

    public String getBeanNameExpr()

  Getter method for "beanName" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanPropertyExpr

    public String getBeanPropertyExpr()

  Getter method for "beanProperty" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanScopeExpr

    public String getBeanScopeExpr()

  Getter method for "beanScope" tag attribute. (Mapping set in associated BeanInfo class.)

### getRoleExpr

    public String getRoleExpr()

  Getter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setValueExpr

    public void setValueExpr(String valueExpr)

  Setter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### setContentExpr

    public void setContentExpr(String contentExpr)

  Setter method for "content" tag attribute. (Mapping set in associated BeanInfo class.)

### setDirectExpr

    public void setDirectExpr(String directExpr)

  Setter method for "direct" tag attribute. (Mapping set in associated BeanInfo class.)

### setTypeExpr

    public void setTypeExpr(String typeExpr)

  Setter method for "type" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanNameExpr

    public void setBeanNameExpr(String beanNameExpr)

  Setter method for "beanName" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanPropertyExpr

    public void setBeanPropertyExpr(String beanPropertyExpr)

  Setter method for "beanProperty" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanScopeExpr

    public void setBeanScopeExpr(String beanScopeExpr)

  Setter method for "beanScope" tag attribute. (Mapping set in associated BeanInfo class.)

### setRoleExpr

    public void setRoleExpr(String roleExpr)

  Setter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `PutTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `PutTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.